package com.sap.dbmtk.demo;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

public interface ConnectionProvider
{

	public boolean isConnected();
	
	public Connection getConnection() throws SQLException;
	public Connection getConnection(boolean forceConnectionCheck) throws SQLException;

	public boolean isAutoCommitEnabledAtConnect();

	public void addWarningMessage(DbMessage message);
	public List<DbMessage> getWarningMessages(boolean reset);
}
